# draw.c File Reference

## Functions

int | mdraw_text (MFrame *frame, MDrawWindow win, int x, int y, MText *mt, int from, int to)
| Draw an M-text on a window.
int | mdraw_image_text (MFrame *frame, MDrawWindow win, int x, int y, MText *mt, int from, int to)
| Draw an M-text on a window as an image.
int | mdraw_text_with_control (MFrame *frame, MDrawWindow win, int x, int y, MText *mt, int from, int to, MDrawControl *control)
| Draw an M-text on a window with fine control.
int | mdraw_text_extents (MFrame *frame, MText *mt, int from, int to, MDrawControl *control, MDrawMetric *overall_ink_return, MDrawMetric *overall_logical_return, MDrawMetric *overall_line_return)
| Compute text pixel width.
int | mdraw_text_per_char_extents (MFrame *frame, MText *mt, int from, int to, MDrawControl *control, MDrawMetric *ink_array_return, MDrawMetric *logical_array_return, int array_size, int *num_chars_return, MDrawMetric *overall_ink_return, MDrawMetric *overall_logical_return)
| Compute the text dimensions of each character of M-text.
int | mdraw_coordinates_position (MFrame *frame, MText *mt, int from, int to, int x_offset, int y_offset, MDrawControl *control)
| Return the character position nearest to the coordinates.
int | mdraw_glyph_info (MFrame *frame, MText *mt, int from, int pos, MDrawControl *control, MDrawGlyphInfo *info)
| Compute information about a glyph.
int | mdraw_glyph_list (MFrame *frame, MText *mt, int from, int to, MDrawControl *control, MDrawGlyph *glyphs, int array_size, int *num_glyphs_return)
| Compute information about glyph sequence.
void | mdraw_text_items (MFrame *frame, MDrawWindow win, int x, int y, MDrawTextItem *items, int nitems)
| Draw one or more textitems.
int | mdraw_default_line_break (MText *mt, int pos, int from, int to, int line, int y)
| Calculate a line breaking position.
void | mdraw_per_char_extents (MFrame *frame, MText *mt, MDrawMetric *array_return, MDrawMetric *overall_return)
| Obtain per character dimension information.
void | mdraw_clear_cache (MText *mt)
| clear cached information.

## Variables

int | mdraw_line_break_option
| Option of line breaking for drawing text.